Subject: Re: pine --> eudora MIME problem

From: David L Miller <[email-masked]>
Date: Thu, 30 May 1996 11:52:58 -0700

-----BEGIN PGP SIGNED MESSAGE-----

On 22 May 1996, S Chan wrote:

> Why is there a difference between the way Pine treats a mimed attachment 
> that originates in pine and one that originates in eudora - and how can I 
> change it ?
> 

Pine does not care about the origin of a MIME message, only the
content.

> I use Pine to mail a simple ASCII file to a colleague in Canada.
> 
> If I send the email to myself with the file attached it arrives OK and I
> can read it in pine (using the Viewer command to see the attachment). 
> 
> When she reads it with Eudora the attachment is incorporated in the body 
> of the message , with various headers attached.  this causes hassle 
> because she has to manually edit the message to separate the attachment.
> 

Eudora expects a Content-Disposition: header, which Pine does not
currently support.  I'm not all that familiar with Eudora, but I would
consider the inability to save parts of a MIME message separately to
be a serious limitation....

> We have the same problem the other way around too. If she sends me a 
> message with a mimed attachment I get lines inserted in the message 
> telling me to use 'munpack' to decode it. 
> 

That sort of informative text belongs in the preamble before the first
MIME part.  If Eudora puts it inside the MIME body, Pine has no way to
suppress it... 

> 
> My question again - 
> Why is there a difference between the way Pine treats a mimed attachment 
> that originates in pine and one that originates in eudora - and how can I 
> change it ?
> 

We will probably add support for Content-Disposition in Pine 4.  That
will hopefully improve compatibility... 

|\ |  |\/|  David L. Miller    [email-masked]  (206) 685-6240
|/ |_ |  |  Software Engineer, Pine Development Team   (206) 685-4045 (FAX)
University of Washington, Networks & Distributed Computing, Box 354841
4545 15th Ave NE, Seattle WA 98105, USA